net.corda.node.services.transactions

## Class BFTSmartClient<K,V>

- net.corda.node.services.transactions.BFTSmartClient<K,V>

-     public class BFTSmartClient<K,V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BFTSmartClient(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `get(K key)` Returns the value associated with the key or null if no value is stored under the key.
    `bftsmart.tom.ServiceProxy` | `getClientProxy()`
    `java.util.Map<K,V>` | `put(java.util.Map<K,? extends V> entries)` Returns conflicts as a map of conflicting keys and their stored values or an empty map if all entries are committed without conflicts.

- - ### Constructor Detail

    - #### BFTSmartClient

          public BFTSmartClient(int id)

  - ### Method Detail

    - #### getClientProxy

          public bftsmart.tom.ServiceProxy getClientProxy()

    - #### put

          public java.util.Map<K,V> put(java.util.Map<K,? extends V> entries)

      Returns conflicts as a map of conflicting keys and their stored values or an empty map if all entries are committed without conflicts.

    - #### get

          public V get(K key)

      Returns the value associated with the key or null if no value is stored under the key.